pcl::segmentation::grabcut::GMM Class Reference

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| GMM ()
| Initialize GMM with ddesired number of gaussians. More...
| GMM (std::size_t K)
| Initialize GMM with ddesired number of gaussians. More...
| ~GMM ()
| Destructor. More...
std::size_t | getK () const
void | resize (std::size_t K)
| resize gaussians More...
Gaussian & | operator[] (std::size_t pos)
const Gaussian & | operator[] (std::size_t pos) const
float | probabilityDensity (const Color &c)
float | probabilityDensity (std::size_t i, const Color &c)

## Detailed Description

Definition at line 220 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

pcl::segmentation::grabcut::GMM::GMM | ( |  | ) |

inline

Initialize GMM with ddesired number of gaussians.

Definition at line 224 of file grabcut_segmentation.h.

pcl::segmentation::grabcut::GMM::GMM | ( | std::size_t | K | ) |

inline

Initialize GMM with ddesired number of gaussians.

Definition at line 226 of file grabcut_segmentation.h.

pcl::segmentation::grabcut::GMM::~GMM | ( |  | ) |

inline

Destructor.

Definition at line 228 of file grabcut_segmentation.h.

## Member Function Documentation

std::size_t pcl::segmentation::grabcut::GMM::getK | ( |  | ) | const

inline

Returns
  K

Definition at line 231 of file grabcut_segmentation.h.

Gaussian& pcl::segmentation::grabcut::GMM::operator[] | ( | std::size_t | pos | ) |

inline

Returns
  a reference to the gaussian at a given position

Definition at line 237 of file grabcut_segmentation.h.

const Gaussian& pcl::segmentation::grabcut::GMM::operator[] | ( | std::size_t | pos | ) | const

inline

Returns
  a const reference to the gaussian at a given position

Definition at line 240 of file grabcut_segmentation.h.

float pcl::segmentation::grabcut::GMM::probabilityDensity | ( | const Color & | c | ) |

Returns
  the computed probability density of a color in this GMM

float pcl::segmentation::grabcut::GMM::probabilityDensity | ( | std::size_t | i,
|  | const Color & | c
| ) |  |

Returns
  the computed probability density of a color in just one Gaussian

void pcl::segmentation::grabcut::GMM::resize | ( | std::size_t | K | ) |

inline

resize gaussians

Definition at line 234 of file grabcut_segmentation.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/segmentation/include/pcl/segmentation/grabcut_segmentation.h